Get a response by ID
curl --request GET \
--url https://api.cloudglue.dev/v1/responses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/responses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/responses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "response",
"created_at": 123,
"model": "<string>",
"instructions": "<string>",
"output": [
{
"type": "message",
"role": "assistant",
"content": [
{
"type": "output_text",
"text": "<string>",
"annotations": [
{
"type": "cloudglue_citation",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": 123,
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"end_time": 123,
"context": "<string>",
"relevant_sources": [
"<string>"
],
"visual_scene_description": [
"<string>"
],
"scene_text": [
"<string>"
],
"speech": [
"<string>"
],
"audio_description": [
"<string>"
]
}
]
}
]
}
],
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123
},
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Response
Get Response
Retrieve a specific response by its ID.
GET
/
responses
/
{id}
Get a response by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the response to retrieve
Response
Response details
Unique identifier for the response
Object type identifier
Available options:
response Current status of the response
Available options:
in_progress, completed, failed, cancelled Unix timestamp of when the response was created
The model used for the response
The system instructions used
The generated output messages
Show child attributes
Show child attributes
Token usage statistics for the response
Show child attributes
Show child attributes
Error details when the response status is 'failed'
Show child attributes
Show child attributes
⌘I